curl --request POST \
--url https://api.stage.localpayment.com/api/validation/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"id": "1791234561009",
"type": "RUC"
},
"country": "ECU"
}
'
{
"code": "200",
"description": "Valid format of id and type document"
}{
"code": "300",
"description": "Invalid param + [document.id] + doesn´t match regex ^[0-9]{13}$"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid or expired"
}
]
}{
"code": "501",
"description": "Country not found"
}Servicios de validación
Validar documento de identidad
POST
/
api
/
validation
/
document
curl --request POST \
--url https://api.stage.localpayment.com/api/validation/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"id": "1791234561009",
"type": "RUC"
},
"country": "ECU"
}
'
{
"code": "200",
"description": "Valid format of id and type document"
}{
"code": "300",
"description": "Invalid param + [document.id] + doesn´t match regex ^[0-9]{13}$"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid or expired"
}
]
}{
"code": "501",
"description": "Country not found"
}Valida los documentos de identidad del cliente por país y tipo para garantizar el formato correcto. Utiliza este endpoint para reducir los fallos en las transacciones causados por datos de documentos inválidos o incorrectos.
Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token.
Cuerpo
application/json
País del documento. ISO 3166-1 alfa-3.
Opciones disponibles:
ARG, BOL, BRA, CHL, COL, CRI, DOM, GTM, HND, MEX, PAN, PRY, PER Última modificación el 10 de noviembre de 2026

